using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BossGiantPhase2ColliderSupervisor : MonoBehaviour
{
    private int giantDmgAbility = 35;
    private float giantDmgAtk = 30f;
    private BossGiant bossInstance;
    // Start is called before the first frame update
    void Start()
    {
        bossInstance = GetComponentInParent<BossGiant>();
    }

    private void OnTriggerEnter(Collider other)
    {
        if (bossInstance.isIn2ndPhase && bossInstance.canDamageRotate)
        {
            if (other.gameObject.layer == LayerMask.NameToLayer("players"))
            {
                other.gameObject.GetComponent<Players>().TakeDamage(giantDmgAbility, giantDmgAtk);
            }
        }
    }
}
