using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MerchantKey : MerchantItem
{
    public override void ActivateMerchantItem(GameObject source)
    {
        if(!source.GetComponent<PlayerController>().player.getInventory().removeCoins(price))
            return;

        //Update du prix affiché par le marchand et le réel prix de l'objet
        GameObject.FindObjectOfType<ScriptMerchant>().priceKey+= 5;
        price+=5;
        GameObject.FindObjectOfType<ScriptMerchant>().updatePrice();

        //Drop de la clé avec une surcharge de drop key pour que celle-ci parte vers l'acheteur
        GameObject.Find("GameMaster").GetComponent<SpawnerObject>().dropKey(300, gameObject.transform.position, source, gameObject);
    }
        
}
