using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScriptDetectEntrance : MonoBehaviour
{

    public bool isBossRoom = false;

    public bool isMerchandRoom = false;
    private GameObject gameMaster;
    private bool generated = false;

    private bool finishedCreationDungon = false;

    private int enemiesRemaining;

    // le nombre de joueurs dans la salle ---------------------------------------------------------------------------------------------------------------------------------------------
    private int playersInRoom = 0;

    private List<string> characterType = new List<string>();

    private List<GameObject> listCollision = new List<GameObject>();

    void OnTriggerEnter(Collider other)
    {
            if (other.tag == "player" && !listCollision.Contains(other.gameObject) && !generated)
            {
                listCollision.Add(other.gameObject);
                playersInRoom++;  // --------------------------------------------------------------------------------------------------------------------------------------------------
            }
            // seulement quand tous les joueurs sont dans la salle on ferme -----------------------------------------------------------------------------------------------------------
            if (playersInRoom == Lobby.nbPlayers && !generated && finishedCreationDungon)
            {
                generated = true;
                if(isBossRoom)
                    gameMaster.GetComponent<ScriptGenerationDonjon>().EnterBossRoom(gameObject.transform.parent.gameObject);
                else
                    gameMaster.GetComponent<ScriptGenerationDonjon>().ChangeRoom(gameObject.transform.parent.gameObject);
            }
           

    }
    void OnTriggerExit(Collider other)
    {
        if (other.tag == "player" && listCollision.Contains(other.gameObject))
        {
            listCollision.Remove(other.gameObject);
            playersInRoom--;  // ------------------------------------------------------------------------------------------------------------------------------------------------------
        }
    }
    // Start is called before the first frame update
    void Start()
    {
        gameMaster = GameObject.Find("GameMaster");
        Players[] arrayPlayer = GameObject.FindObjectsOfType<Players>();
        finishedCreationDungon = true;
    }

    // Update is called once per frame
    void Update()
    {

    }
}
