using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScriptDetectPlayer : MonoBehaviour
{
    private ScriptPathfindingEnnemy pathfinding;
    // Start is called before the first frame update
    void Start()
    {
        pathfinding = gameObject.transform.parent.GetComponent<ScriptPathfindingEnnemy>();
    }

    //Code pour vérifier si un joueur rentre dans la range d'un ennemi
    void OnTriggerEnter(Collider other)
    {
        if (other.tag == "player" && !pathfinding.target.Contains(other.gameObject))
        {
            pathfinding.playerDetected = true;
            pathfinding.target.Add(other.gameObject);
            pathfinding.NewTarget();
        }
    }

    // Update is called once per frame
    void Update()
    {

    }
}
