using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FollowCamera : UIHandler
{
    // lookAt correspond au joueur que la camera va suivre
    // pour l'instant, c'est du drag and drop, donc c'est pas fait de facon dyanmqiue
    private Transform lookAt;
    private Camera cam;

    public void Init()
    {
        //DontDestroyOnLoad(this);
        lookAt = GameObject.Find("player" + Lobby.login).transform;
        cam = Camera.main;
    }

    void Update()
    {
        if (lookAt != null)
        {
            Vector3 pos = cam.WorldToScreenPoint(lookAt.position);

            if (transform.position != pos)
                transform.position = pos;
        }

    }
}
