using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class JoinLobby : MonoBehaviour
{
    [Header("Les différentes scènes")]
    [SerializeField] GameObject mainMenu;
    [SerializeField] GameObject joinLobbyMenu;
    [SerializeField] GameObject settingsMenu;


    [Header("Les boutons de la scène")]
    [SerializeField] Button buttonSettings;
    [SerializeField] Button buttonReturn;

    void Start()
    {
        buttonReturn.onClick.AddListener(delegate { GoFromMenuToMenu(joinLobbyMenu, mainMenu); });
        buttonSettings.onClick.AddListener(GoToSettingsMenu);
    }

    private void GoFromMenuToMenu(GameObject menuA, GameObject menuB)
    {
        menuA.SetActive(false);
        menuB.SetActive(true);
    }

    private void GoToSettingsMenu()
    {
        settingsMenu.SetActive(true);
    }
}
