using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class Boss : Enemy
{
    // Start is called before the first frame update


    // Update is called once per frame

    public override void Die()
    {
        //désactive la collision avec les player & les armes/flèches
        GetComponent<Rigidbody>().isKinematic = true;
        GetComponent<Rigidbody>().detectCollisions = false;
        // Trigger Dead animation
        animator.SetBool("IsDead", true);

        if (Lobby.isMainPlayer)
            GetComponent<EnemySend>().RemoveFromLobby();

        // Disable ennemy
        Destroy(this.gameObject, 10);
        GameObject.Find("GameMaster").GetComponent<ScriptGenerationDonjon>().BossDestroyed();
    }
}
