using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BossGiantRockCollisionDetection : MonoBehaviour
{
    private int rockDmgAbility = 70;
    private float rockDmgAtk = 150f;

    private bool alreadyHit;
    // Start is called before the first frame update
    void Start()
    {
        alreadyHit = false;
    }

    private void OnCollisionEnter(Collision collision)
    {
        if(alreadyHit)
        {
            return;
        }

        if (collision.gameObject.layer == LayerMask.NameToLayer("players"))
        {
            collision.gameObject.GetComponent<Players>().TakeDamage(rockDmgAbility, rockDmgAtk);
        }
        else if(collision.gameObject.layer == LayerMask.NameToLayer("enemy"))
        {
            collision.gameObject.GetComponent<Enemy>().TakeDamage(rockDmgAbility, rockDmgAtk);
        }

        alreadyHit = true;
    }
}
