using System.Collections;
using System.Collections.Generic;
using TMPro;
using Unity.VisualScripting;
using UnityEngine;
using UnityEngine.InputSystem;
using UnityEngine.UI;
using Script.Statistics;

public class Dummy : Enemy
{
    public void FixedUpdate()
    {
        stats.currentHp = stats.maxHp;
        healthBar.GetComponent<Slider>().value = stats.currentHp;
    }
    public override void EnemyInit()
    {
        stats = ScriptableObject.CreateInstance<MeleeMinionStatistics>();
        stats.init();

        stats.maxHp = 1000000;
        stats.currentHp = stats.maxHp;
        healthBar.GetComponent<Slider>().maxValue = stats.maxHp;
        healthBar.GetComponent<Slider>().value = stats.currentHp;
    }

    public override IEnumerator Attack()
    {
        yield return null;
    }

    public override IEnumerator StartCoolDown(float coolDown, int idAttack)
    {
        yield return null;
    }
}
