using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MerchantPowerUp : MerchantItem
{
    public GameObject powerUp;
    public override void ActivateMerchantItem(GameObject source)
    {
        if(!source.GetComponent<PlayerController>().player.getInventory().removeCoins(price))
            return;

        //Update du prix affiché par le marchand et le réel prix de l'objet
        GameObject.FindObjectOfType<ScriptMerchant>().pricePowerUp+= 5;
        price+=5;
        GameObject.FindObjectOfType<ScriptMerchant>().updatePrice();

        //Drop du powerup avec une surcharge du drop pour que celui-ci parte vers le joueur avec le bon powerUp
        GameObject.Find("GameMaster").GetComponent<SpawnerObject>().dropPowerUp(gameObject.transform.position, source, powerUp);
    }
}
