using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScriptChest : MonoBehaviour
{
    private bool isOpen = false;
    // Start is called before the first frame update

    public IEnumerator SpawnLootOpenChest()
    {
        yield return new WaitForSeconds(1f);
        if(!isOpen)
        {
            isOpen = true;
            if (GameObject.Find("GameMaster") != null)
                GameObject.Find("GameMaster").GetComponent<SpawnerObject>().lootOpenChest(transform.position, gameObject);
        }
    }

    public IEnumerator SpawnLootClosedChest()
    {
        yield return new WaitForSeconds(1f); 
        if(!isOpen)
        {
            isOpen = true;
            if (GameObject.Find("GameMaster") != null)
                GameObject.Find("GameMaster").GetComponent<SpawnerObject>().lootClosedChest(transform.position, gameObject);
        }
    }
}
