// la structure de données envoyé par le serveur
// uniquement dans le lobby et lors des parties
public class PlayerDataOnline
{
    // concerne tout le monde
    public string mainPlayer { get; set; }
    public string currentScene { get; set; }
    public string roomCode { get; set; }
    public string errorCode { get; set; }
    public string errorMsg { get; set; }

    // les données de chacun des joueurs
    public string[] login { get; set; }
    public string[] type { get; set; }
    public string[] status { get; set; }
    public string[] hitPoint { get; set; }
    public string[] posX { get; set; }
    public string[] posY { get; set; }
    public string[] posZ { get; set; }
    public string[] rotY { get; set; }
    public string[] animMoveForward { get; set; }
    public string[] animMoveBackward { get; set; }
    public string[] animMoveRight { get; set; }
    public string[] animMoveLeft { get; set; }
    public string[] animAttack { get; set; }
    public string[] animSpeAtt { get; set; }
    public string[] animShield { get; set; }
    public string[] animRoll { get; set; }
}
