using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class AlliesInfos : MonoBehaviour
{
    // utilisable lorsqu'on aura merge avec la branche client
    // à tester, idée de Salwa
    // private PlayerBehaviour player;

    public GameObject allyHealthBar;
    private GameObject player;

    private Transform parent;
    private Vector3 posName;
    private Vector3 posHealthBar;

    public void Init()
    {
        player = GameObject.Find("player" + Lobby.login);
        Font arial;
        arial = (Font)Resources.GetBuiltinResource(typeof(Font), "Arial.ttf");

        // Liste de tous les joueurs alliés
        GameObject[] allies = GameObject.FindGameObjectsWithTag("player");

        // Récupère l'élément parent dans lequel les informations seront affichées
        parent = GameObject.Find("AlliesInfos").transform;

        // position du premier nom
        posName = parent.position + new Vector3(-75, 0, 0);
        // position de la première barre de vie
        posHealthBar = parent.position + new Vector3(40, 0, 0);


        foreach (GameObject ally in allies)
        {
            if (ally != player)
            {
                var namePlayer = CreateText(parent, posName);
                //player.stats.pseudo 
                namePlayer.text = ally.name;
                namePlayer.font = arial;
                namePlayer.fontSize = 30;
                namePlayer.color = Color.black;

                Instantiate(allyHealthBar, posHealthBar, Quaternion.identity, parent);

                posName += new Vector3(0, -50, 0);
                posHealthBar += new Vector3(0, -50, 0);
            }
        }

    }

    static Text CreateText(Transform parent, Vector3 pos)
    {
        var text = new GameObject("NamePlayer");

        text.transform.parent = parent;
        text.transform.position = pos;

        return text.AddComponent<Text>();
    }
}
