using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GenerateSprite : MonoBehaviour
{
    // Emplacement de l'icon de l'attaque secondaire
    public GameObject secondAttackComponent;
    private Players player;

    public void Init()
    {        
        //DontDestroyOnLoad(this);
        player = GameObject.Find("player" + Lobby.login).GetComponent<Players>();
        // Charge l'icon en fonction de la classe du player
        switch (player.GetClassName())
        {
            case "Archers":
                var archerSprite = Resources.Load<Sprite>("UI/Sprites/ArcherSecAtt");
                secondAttackComponent.GetComponent<Image>().sprite = archerSprite;
                break;

            case "Clercs":
                var clercSprite = Resources.Load<Sprite>("UI/Sprites/ClercSecAtt");
                secondAttackComponent.GetComponent<Image>().sprite = clercSprite;
                break;

            case "MonteEnLair":
                var monteEnLairSprite = Resources.Load<Sprite>("UI/Sprites/MonteENLairSecAtt");
                secondAttackComponent.GetComponent<Image>().sprite = monteEnLairSprite;
                break;

            case "Warriors":
                var WarriorSprite = Resources.Load<Sprite>("UI/Sprites/WarriorSecAtt");
                secondAttackComponent.GetComponent<Image>().sprite = WarriorSprite;
                break;

            default:
                Debug.Log(player.GetClassName() + " : pas d'assets associées à cette classe");
                break;
        }
    }
}