using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


public class HealthBar : MonoBehaviour
{
    private Players player;
    public GameObject healthBar;

    public void Init()
    {
        //DontDestroyOnLoad(gameObject);
        player = GameObject.Find("player" + Lobby.login).GetComponent<Players>();
        healthBar.GetComponent<Slider>().maxValue = player.stats.maxHp;
        healthBar.GetComponent<Slider>().value = player.stats.maxHp;

        // L'idée est d'utiliser des évènements, afin de mettre à jour la vie
        // Ici, cherche à récupérer les evènements de la classe Player
        Players UIEvent = player;

        // On selectionne les différents events qui nous seront utiles,
        // et on leurs attribuent les fonctions associées
        UIEvent.onTakeDamage += OnDamageTaken;
    }

    // Modifie la taille du slider en fonction des points de vie restants
    public void OnDamageTaken()
    {
        healthBar.GetComponent<Slider>().value = player.stats.currentHp;
    }
}
