using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class UsableCounter : MonoBehaviour
{
    // texte qui permettra d'afficher le nombre de pièce
    [SerializeField] TMP_Text coinText;

    // texte qui permettra d'afficher le nombre de clé
    [SerializeField] TMP_Text keyText;

    // texte qui permettra d'afficher le nombre de potion
    [SerializeField] TMP_Text healthPotionText;

    void Start()
    {
        DontDestroyOnLoad(gameObject);
    }

    // Affiche le nombre de pièce
    public void DisplayCoins(int coins) { coinText.text = coins + "x"; }

    // Affiche le nombre de clé
    public void DisplayKey(int key) { keyText.text = key.ToString() + "x"; }

    // Affiche le nombre de potions
    public void DisplayHealthPotion(int healthPotion) { healthPotionText.text = healthPotion.ToString(); }

}