const champLogin = document.getElementById("login");
const champRoomCode = document.getElementById("roomCode");
const champCreateLobby = document.getElementById("createLobby");
const champInLobby = document.getElementById("inLobby");
const champIsReady = document.getElementById("isReady");
const champErrorCode = document.getElementById("errorCode");
const champErrorMsg = document.getElementById("errorMsg");
const champPlayerNumber = document.getElementById("playerNumber");
const champPlayersInLobby = document.getElementById("playersInLobby");
const champStatusInLobby = document.getElementById("statusInLobby");
const buttonSend = document.getElementById("send");

const champLogin1 = document.getElementById("login1");
const champRoomCode1 = document.getElementById("roomCode1");
const champCreateLobby1 = document.getElementById("createLobby1");
const champInLobby1 = document.getElementById("inLobby1");
const champIsReady1 = document.getElementById("isReady1");
const champErrorCode1 = document.getElementById("errorCode1");
const champErrorMsg1 = document.getElementById("errorMsg1");
const champPlayerNumber1 = document.getElementById("playerNumber1");
const champPlayersInLobby1 = document.getElementById("playersInLobby1");
const champStatusInLobby1 = document.getElementById("statusInLobby1");
const buttonCopy = document.getElementById("copy");


// Change this line to change the server you will connect to :

// const socket = new WebSocket("ws://185.155.93.105:16000", null, null, null, {rejectUnauthorized: false});
// const socket = new WebSocket("wss://185.155.93.105:16001", null, null, null, {rejectUnauthorized: false});

const socket = new WebSocket("ws://localhost:10002", null, null, null, {rejectUnauthorized: false});
// const socket = new WebSocket("wss://localhost:10001", null, null, null, {rejectUnauthorized: false});

// const socket = new WebSocket("ws://ailugensvps.ovh:10000", null, null, null, {rejectUnauthorized: false});
// const socket = new WebSocket("wss://ailugensvps.ovh:10001", null, null, null, {rejectUnauthorized: false});


socket.addEventListener("error", (event) => 
{
    console.log(event);
});

socket.addEventListener("message", ({data}) =>
{
    let dataJson = JSON.parse(data);

    champLogin1.value = dataJson["login"];
    champRoomCode1.value = dataJson["roomCode"];
    champCreateLobby1.value = dataJson["createLobby"];
    champInLobby1.value = dataJson["inLobby"];
    champIsReady1.value = dataJson["isReady"];
    champErrorCode1.value = dataJson["errorCode"];
    champErrorMsg1.value = dataJson["errorMsg"];
    champPlayerNumber1.value = dataJson["playerNumber"];
    champPlayersInLobby1.value = dataJson["playersInLobby"];
    champStatusInLobby1.value = dataJson["statusInLobby"];

    console.log(dataJson);
});

buttonSend.onclick = function()
{
    let data = JSON.stringify({
        "login" : champLogin.value,
        "roomCode" : champRoomCode.value,
        "createLobby" : champCreateLobby.value,
        "inLobby" : champInLobby.value,
        "isReady" : champIsReady.value,
        "errorCode" : "",
        "errorMsg" : "",
        "playersInLobby" : ""
    });

    socket.send(data);

    console.log(data);
}

buttonCopy.onclick = function()
{
    champLogin.value = champLogin1.value;
    champRoomCode.value = champRoomCode1.value;
    champCreateLobby.value = champCreateLobby1.value;
    champInLobby.value = champInLobby1.value;
    champIsReady.value = champIsReady1.value;
    champErrorCode.value = champErrorCode1.value;
    champErrorMsg.value = champErrorMsg1.value;
    champPlayerNumber.value = champPlayerNumber1.value;
    champPlayersInLobby.value = champPlayersInLobby1.value;
    champStatusInLobby.value = champStatusInLobby1.value;
}
